Skip to content

Claims

The Claims resource represents billing claims. Claims are read-only.

Endpoints

Method Path Description
GET /Claims List claims
GET /Claims({id}) Get a single claim

List Claims

GET /Claims

Supports: $filter, $select, $orderby, $top, $skip, $count, $expand

Example

curl -X GET "https://api.nymbldev.com/Claims?\$filter=date_of_service ge 2024-01-01&\$orderby=date_of_service desc" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"

Response

{
  "@odata.context": "https://api.nymbldev.com/$metadata#Claims",
  "@odata.count": 150,
  "value": [
    {
      "id": 1001,
      "prescription_id": 500,
      "date_of_service": "2024-03-15",
      "total_claim_amount": "450.00",
      "total_claim_balance": "125.00",
      "total_claim_paid": "325.00"
    }
  ]
}

Get a Single Claim

GET /Claims({id})

Example

curl -X GET "https://api.nymbldev.com/Claims(1001)" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"
Property Type Description
Prescription Prescription The prescription this claim is associated with
BillingBranch Branch The branch billing this claim

Properties

Property Type Description
id number Unique claim identifier (required)
prescription_id number Associated prescription ID
billing_branch_id number Billing branch ID
date_of_service date Date of service
total_claim_amount decimal Total claim amount
total_claim_balance decimal Remaining balance
total_claim_paid decimal Amount paid
total_pt_responsibility_amount decimal Total patient responsibility
total_pt_responsibility_balance decimal Patient responsibility balance
total_pt_responsibility_paid decimal Patient responsibility paid
uncollected decimal Uncollected amount
date_resolved date Date the claim was resolved
accept_assignment boolean Whether assignment is accepted
payment_plan boolean Whether on a payment plan
nymbl_rcm boolean Whether managed through Nymbl RCM
additional_info string Additional claim information
created_at date Date created
updated_at date Date last updated

Common Query Examples

Claims for a specific prescription:

GET /Claims?$filter=prescription_id eq 500

Claims with outstanding balance:

GET /Claims?$filter=total_claim_balance gt 0&$orderby=date_of_service desc

Claims with prescription details:

GET /Claims?$expand=Prescription&$filter=date_of_service ge 2024-01-01